import ArrActive from "/svg/arrow_active.svg";
import CategoryCard from '../../cmp/categoryCard/CategoryCard.jsx';

const KnowledgeBasePage = D.declare('view.page.KnowledgeBasePage', () => {
    return <div class="info-page">
        <div className="info-page__wrapper">
            <h1 className="info-page__headline">База знаний</h1>
            <h2 className="info-page__title">Категории</h2>
            <div className="info-page__inner">
                <ul className="info-page__categories">
                    {(() => {
                        var out = [];
                        var el;
                        for (var i = 0; i < 30; i++) {

                            el = <li className="info-page__category"><CategoryCard/></li>;

                            out.push(el);
                        }
                        return out;
                    })()}
                    {/*<li className="info-page__category">*/}
                    {/*<CategoryCard/>*/}
                    {/*</li>*/}
                </ul>
            </div>
        </div>
    </div>
});

KnowledgeBasePage.route = new Route('/category')

export default KnowledgeBasePage;
export {KnowledgeBasePage};
